### Interface

# Phosh IdleDBusObject

since: 0

#### Description [src]

    interface Phosh.IdleDBusObject : Gio.DBusObject

The `PhoshIdleDBusObject` type is a specialized container of interfaces.

Available since: 0

#### Prerequisite

In order to implement IdleDBusObject, your type must inherit from`GDBusObject`.

#### Implementations

- PhoshIdleDBusObjectProxy
- PhoshIdleDBusObjectSkeleton

#### Instance methods

###### phosh_idle_dbus_object_get_idle_monitor

Gets the `PhoshIdleDBusIdleMonitor` instance for the D-Bus interface org.gnome.Mutter.IdleMonitor on `object`, if any.

since: 0

###### phosh_idle_dbus_object_peek_idle_monitor

Like `phosh_idle_dbus_object_get_idle_monitor()` but doesn’t increase the reference count on the returned object.

since: 0

#### Properties

###### Phosh.IdleDBusObject:idle-monitor

The `PhoshIdleDBusIdleMonitor` instance corresponding to the D-Bus interface org.gnome.Mutter.IdleMonitor, if any.

since: 0

#### Interface structure

    struct PhoshIdleDBusObjectIface {
      GTypeInterface parent_iface;

    }

Virtual table for the `PhoshIdleDBusObject` interface.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.